<?php
//------------------------------------------------------------------------------
// 신규 볼륨을 추가한다.
//------------------------------------------------------------------------------

require_once( "../inc/session2.php" );
require_once( "../inc/common.inc" );         // 공통 함수 모음
require_once( "../inc/db_pgsql.inc" ); // 데이터베이스 인터페이스

$admin_seq = 1; 
// RC RCCT conf 파일 경로
$rcAcctPath = "/user/service/etc/rcacct.conf";

// 쿠키확인
$AdminLevel = 1;

// POST 변수 취득
$rcid      = $_POST["rcid"];        // RC ID
$arrange   = $_POST["arrange"];
$rc_name   = $_POST["rc_name"];     // RC 이름
$rcts_addr = $_POST["rcts_addr"];   // RCTS 주소
$fhs_addr  = $_POST["fhs_addr"];    // FHS 주소
$acct1     = $_POST["acct1"];       // 서비스 네임
$acct2     = $_POST["acct2"];       // 볼륨 네임
$acct3     = $_POST["acct3"];       // 비번
$acct4     = $_POST["acct4"];       // 인증키
$acct5     = $_POST["acct5"];       // 인증키 위치

$rc_acct = $acct1.":".$acct2.":".$acct3.":".$acct4.":".$acct5;

$begin_date  = date( "Y-m-d", time() );
$end_date    = date( "Y-m-d", time() );

$reg_date    = date( "Y-m-d H:i:s", time() );
$update_date = date( "Y-m-d H:i:s", time() );

$objConn = new DB_Sql;

$strSQL_1 = " UPDATE t_rms_rc_index " .
            " SET rc_name = '$rc_name', svc_rcts_url = '$rcts_addr', vol_url_rts = '$fhs_addr', rcacct = '$rc_acct', update_datetime = now() " .
			" WHERE arrange = '$arrange' ";

$res1 = $objConn->query($strSQL_1);
if( $res1 )
{
	//$objConn->commitTrans();
	// rcacct.conf 파일 업데이트
	$fp = fopen($rcAcctPath, "w");

	$strSql = "SELECT rcacct FROM t_rms_rc_index WHERE deleted_yn = 'N' ";
	$res = $objConn->query($strSql);

	if( $objConn->nf() != 0 )
	{
		while( $objConn->next_record() )
		{
			$rcacct = $objConn->f("rcacct");

			if (!is_null($rcacct) && $rcacct != "")
			{
				fwrite($fp, $rcacct."\n");
			}
		}
	}

	fclose($fp);
    $objConn->close();
    AlertMsg( "$rc_name RC가 수정되었습니다." );
    echo( "<META http-equiv='refresh' content='0; url=$DOC_ROOT/rcmng/rc_list.html'>" );
}
else
{
    $objConn->rollbackTrans();
    $objConn->close();
    AlertBack( "error: database query failed" );
}
?>
